# Copyright 2013 Toshiaki Katayama, Joachim Baran
#
#     Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# 
#     Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

require 'basespace/model'

module Bio
module BaseSpace

# User compact model.
class UserCompact < Model

  # Return a new UserCompact instance.
  def initialize
    @swagger_types = {
      'Name'  => 'str',
      'Id'    => 'str',
      'Href'  => 'str',
    }
    @attributes = {
      'Name'  => nil, # str
      'Id'    => nil, # str
      'Href'  => nil, # str
    }
  end

  # Return the user ID and name as string.
  def to_s
    return "#{get_attr('Id')}: #{get_attr('Name')}"
  end

end

end # module BaseSpace
end # module Bio

